import { ref,watch } from 'vue'

export default function useButtonGroup() {
  const buttons = ['产品线', '父ASIN', 'ASIN', 'SKU'] // 按钮列表
  const activeButton = ref('产品线')
  const activeStyle = {
    color: '#3a83f7',
    backgroundColor: '#ebeef5',
  }

  function handleClickBtn(buttonName) {
    activeButton.value = buttonName // 更新当前激活的按钮
  }

  // 返回需要在模板中使用的响应式数据和方法
  return { buttons, activeButton, activeStyle, handleClickBtn }
}
